de.dhbwstuttgart.parser

## Class BoundedClassIdentifierList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.Vector<A>
      - - de.dhbwstuttgart.typeinference.Menge<ObjectType>
        - - de.dhbwstuttgart.parser.BoundedClassIdentifierList

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<ObjectType>, java.util.Collection<ObjectType>, java.util.List<ObjectType>, java.util.RandomAccess

    public class BoundedClassIdentifierList
    extends Menge<ObjectType>

See Also:
  Serialized Form

### Field Summary

Fields
`private int` `endOffset`
`private Menge<ObjectType>` `list`

### Fields inherited from class java.util.Vector

`capacityIncrement, elementCount, elementData`

### Fields inherited from class java.util.AbstractList

`modCount`

### Constructor Summary

Constructors
Constructor and Description
`BoundedClassIdentifierList(Menge<ObjectType> list, int endOffset)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addOffsetOff(RefType refType)`
`int` `getEndOffset()`

### Methods inherited from class java.util.Vector

`add, add, addAll, addAll, addElement, capacity, clear, clone, contains, containsAll, copyInto, elementAt, elements, ensureCapacity, equals, firstElement, forEach, get, hashCode, indexOf, indexOf, insertElementAt, isEmpty, iterator, lastElement, lastIndexOf, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeAllElements, removeElement, removeElementAt, removeIf, removeRange, replaceAll, retainAll, set, setElementAt, setSize, size, sort, spliterator, subList, toArray, toArray, toString, trimToSize`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, stream`

### Field Detail

#### endOffset

    private int endOffset

#### list

    private Menge<ObjectType> list

### Constructor Detail

#### BoundedClassIdentifierList

    public BoundedClassIdentifierList(Menge<ObjectType> list,
                                      int endOffset)

### Method Detail

#### getEndOffset

    public int getEndOffset()

#### addOffsetOff

    public void addOffsetOff(RefType refType)